API Explorer 1884 endpoints

Create new activity_plan

POST /obp/v7.0.0/banks/SYS/dynamic-entities/activity_plan

OBPv7.0.0-dynamicEntity_createactivity_plan_ Roles: CanCreateDynamicEntityRecord_activity_plan(per bank) _Activity_planDynamic-EntityDynamic

Create new activity_plan.

Parsed entity activity_plan. This Dynamic Entity is part of OGCR.

Property List:

  • activity_plan_id: Internal identifier for the activity plan entity. This is set by the operator platform.
  • activity_id: Internal identifier for the activity entity
  • date_submitted: Date the activity plan is submitted
  • legal_parcel_ownership: Legal ownership
  • coordinate_reference_system: Coordinate Reference System (CRS) identifier that defines how to interpret the geometry coordinates (e.g., EPSG:4326 for WGS84).
  • iacs_codes: Array of identifiers referencing the parcel in the Member State’s IACS (Integrated Administration and Control System). Only if applicable.
  • lpis_codes: Identifiers from the Land Parcel Identification System (LPIS) that reference official “reference parcels”/land blocks. Only if applicable.
  • methodology_quantification_baseline: Quantification, incl. calculation of activity baseline (if applicable)
  • expected_total_carbon_removals: Expected total carbon removals associated to the activity (in CO2e Tonnes)
  • expected_total_soil_emissions: Expected total total soil emissions associated to the activity (in CO2e Tonnes)
  • expected_total_ghg_emissions_associated: Expected total GHG emissions associated to the activity (in CO2e Tonnes)
  • expected_net_benefit: Expected net carbon removal benefit or expected net soil emission reduction benefit (in CO2e Tonnes)

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"activity_plan"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "activity_plan_id": "ap-1037502-192zf129r3",
  "activity_id": "a_05OFWI037022",
  "date_submitted": "2026-11-20",
  "legal_parcel_ownership": "TBD",
  "coordinate_reference_system": "EPSG:4326",
  "iacs_codes": "DE-BB-IACS-2026-0012345678",
  "lpis_codes": "DE-BB-LPIS-REFPARCEL-0098765432",
  "methodology_quantification_baseline": "TBD",
  "expected_total_carbon_removals": 6,
  "expected_total_soil_emissions": 6,
  "expected_total_ghg_emissions_associated": 6,
  "expected_net_benefit": 6
}
Example success response
{
  "bank_id": "SYS",
  "activity_plan": {
    "activity_plan_id": "ap-1037502-192zf129r3",
    "activity_id": "a_05OFWI037022",
    "date_submitted": "2026-11-20",
    "legal_parcel_ownership": "TBD",
    "coordinate_reference_system": "EPSG:4326",
    "iacs_codes": "DE-BB-IACS-2026-0012345678",
    "lpis_codes": "DE-BB-LPIS-REFPARCEL-0098765432",
    "methodology_quantification_baseline": "TBD",
    "expected_total_carbon_removals": 6,
    "expected_total_soil_emissions": 6,
    "expected_total_ghg_emissions_associated": 6,
    "expected_net_benefit": 6
  },
  "metadata": {
    "created": {
      "at": "2026-09-30T10:12:00Z",
      "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    },
    "updated": {
      "at": "2026-09-30T11:40:00Z",
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    }
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 dynamicEntity_createactivity_plan_ Originally /banks/SYS/dynamic-entities/activity_plan